package com.pcloud.book.giftcoupon.dao;

import com.pcloud.book.giftcoupon.dto.GiftReceiveDTO;
import com.pcloud.book.giftcoupon.entity.GiftReceive;
import com.pcloud.common.core.dao.BaseDao;

import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 专享礼券包领取表(GiftReceive)表数据库访问层
 *
 * @author makejava
 * @since 2020-04-19 14:59:34
 */
public interface GiftReceiveDao extends BaseDao<GiftReceive> {

    /**
     * 通过ID查询单条数据
     *
     * @return 实例对象
     */
    GiftReceive getGiftReceive(Long wechatUserId,Long giftPackageId);


    void useGiftCoupon(Long wechatUserId,Long giftPackageId);

    List<GiftReceiveDTO> getGiftReceiveNumList(List<Long> giftPackageIds);



    List<Long> getUserReceiveGiftId(Long wechatUserId);


}